package example.android.tabsample;

import android.app.TabActivity;
import android.graphics.Color;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.widget.TabHost;
import android.widget.TextView;
import android.widget.TabHost.TabSpec;

public class TabSampleActivity extends TabActivity {
    // onCreate\bh(ʏ\Cxgnh)
    @Override
    public void onCreate(Bundle savedInstanceState) {
        // X[p[NXonCreate\bhĂяo
        super.onCreate(savedInstanceState);
        
        // TabHost擾
        TabHost tabHost = getTabHost();
        // TabHostƃCAEgƃr[̐ݒt@C֘At
        LayoutInflater.from(this).inflate(R.layout.tabsample,
                tabHost.getTabContentView(), true);
        // eLXgr[ɐFݒ
        TextView txt1 = (TextView) findViewById(R.id.textview1);
        txt1.setBackgroundColor(Color.GREEN);
        TextView txt2 = (TextView) findViewById(R.id.textview2);
        txt2.setBackgroundColor(Color.BLUE);
        
        // ^u1̐ݒ
        TabSpec tab1 = tabHost.newTabSpec("tab1");
        tab1.setIndicator("^u1");
        tab1.setContent(R.id.linearlayout1);
        // ^u2̐ݒ
        TabSpec tab2 = tabHost.newTabSpec("tab2");
        tab2.setIndicator("^u2",getResources().getDrawable(android.R.drawable.ic_menu_edit));
        tab2.setContent(R.id.textview1);
        // ^u3̐ݒ
        TabSpec tab3 = tabHost.newTabSpec("tab3");
        tab3.setIndicator("^u3",getResources().getDrawable(android.R.drawable.ic_menu_search));
        tab3.setContent(R.id.textview2);
        
        // e^uTabHostɐݒ
        tabHost.addTab(tab1);
        tabHost.addTab(tab2);
        tabHost.addTab(tab3);
        
        // \̃^uݒ
        tabHost.setCurrentTab(0);
    }
}