package example.android.servicemondai2;

import java.util.Timer;
import java.util.TimerTask;
import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.os.RemoteException;
import android.util.Log;

public class ServiceMondai2Service extends Service{
    // TimerIuWFNg
    private Timer timer = null;
    // oߎ
    private int countTime = 0;
    // R[obNIuWFNg
    ActivityAIDL callback = null;
    // ꎞ~tO
    boolean flg = false;
    
    // onCreate\bh(T[rXNCxgnh)
    @Override
    public void onCreate() {
        super.onCreate();
        
        // ^C}[ƌoߎԏ
        timer = new Timer();
        // ^C}[ݒ(1~bƂrun\bhĂяo)
        timer.schedule(task, 0, 1);
    }

    // onBind\bh(oChCxgnh)
    @Override
    public IBinder onBind(Intent intent) {
        if (ServiceAIDL.class.getName().equals(intent.getAction())) {
            return serviceCallbackIf;
        }
        return null;
    }

    // onUnbind\bh(AoChCxgnh)
    @Override
    public boolean onUnbind(Intent intent) {
        // ^C}[ݒ
        timer.cancel();
        timer.purge();

        return super.onUnbind(intent);
    }
       
    //  T[rXɘAgC^tF[XIuWFNg
    private ServiceAIDL.Stub serviceCallbackIf = new ServiceAIDL.Stub() {

        public void startService(ActivityAIDL callback) {
            // R[obNIuWFNg擾
        	ServiceMondai2Service.this.callback=callback;
        	// ꎞ~tOύX
        	flg = false;
        }
        
        public void stopService() {           
        	// bZ[W𑗐M
    		ServiceMondai2Service.this.sendDisplayTime(false);       	
    		// ꎞ~tOύX
        	flg = true;

        }
        
        public void resetService(ActivityAIDL callback) {          
        	// bZ[W𑗐M
    		ServiceMondai2Service.this.sendDisplayTime(true);        	
            // R[obNIuWFNg폜
        	ServiceMondai2Service.this.callback=null;
        	// ꎞ~tOύX
        	flg = false;
        	// oߎԏ
        	countTime = 0;
        }
    };

    // TimerTaskIuWFNg
    private TimerTask task = new TimerTask() {
        @Override
        public void run() {
        	if(!flg){       	
	        	// bZ[W𑗐M
        		ServiceMondai2Service.this.sendDisplayTime(false);
        	}			
        	// R}1bƂɃJEgAbv
        	countTime += 1;
        }
    };
    
    // bZ[WM
    private void sendDisplayTime(boolean stopFlg){
    	try {
    		String time = "00:00.00";
    		if(!stopFlg){
	    		String countSec = String.valueOf(countTime%(1000*60)/1000);
	    		if(countTime%(1000*60)/1000<10){
	    			countSec = "0" + countTime%(1000*60)/1000;
	    		}
	    		String countMin = String.valueOf(countTime/(1000*60));
	    		if(countTime/(1000*60)<10){
	    			countMin = "0" + countTime/(1000*60);
	    		}
	    		String countMSec = String.valueOf(countTime%1000/10);
	    		if(countTime%1000/10<10){
	    			countMSec = "0" + countTime%1000/10;  
	    		}
	    		time = countMin+":"+countSec+"."+countMSec;
    		}
    		
    		if(this.callback!=null){
    			this.callback.displayTime(time);
    		}
		} catch (RemoteException e) {
			Log.e("error", "displayTimeError");
		}
    }
}
